<ion-header>
  <ion-toolbar class="my-header">
    <div class="ic-back" slot="start" (click)="back()">
      <ion-icon name="arrow-round-back"></ion-icon>
    </div>
    <ion-title color="light">Riwayat Peminjaman</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list *ngFor="let list of historyList" class="ion-padding-start ion-padding-end">
    <ion-item class="item-no-padding" (click)="gotoDetail(list.bookID,list)">
      <div>
        <h5 style="color:var(--ion-color-secondary)">{{list?.bookTitle}}</h5>
        <p style="margin-top: -5px;">{{list?.transactionLoanDate | date}}</p>
      </div>
    </ion-item>
  </ion-list>

  <div *ngIf="historyList.length == 0"> 
      <div class="img-not-found ion-padding ion-text-center">
        <div><img src="../../../assets/img/book-not-found.png"></div>
        <div>
          <h5>Tidak ada yang ditampilkan</h5>
        </div>
      </div>
    </div>

  <ion-infinite-scroll threshold="100px" (ionInfinite)="doInfinite($event,formData.page)">
    <ion-infinite-scroll-content loadingSpinner="crescent">
    </ion-infinite-scroll-content>
  </ion-infinite-scroll>
</ion-content>